Bug 72768 - RFE: upgrade to Postfix 2.0
RFE: upgrade to Postfix 2.0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
: FutureFeature
: 80139 81935 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-27 13:29 EDT by Petri T. Koistinen
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-07 13:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2002-08-27 13:29:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-12.4 i686; Nav)

Description of problem:
With Postfix Version 1.1 Patchlevel 11 there is note:

- The SMTP server now disallows RCPT TO:<"">, just like it disallows
  RCPT TO:<>.

I am running Postfix in production enviroment with many users. I am little bit
worried about if this bugfix is missing from my Postfix software. Will it cause
more spam to be accepted?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Read much of http://www.postfix.org/
2. Discover things that worry sysadmins.

Expected Results:  Postfix should disallow RCPT TO:<"">, just like it disallows
RCPT TO:<>.

Additional info:

RH7.3 package version is postfix-1.1.7-2.
Comment 1 Petri T. Koistinen 2002-09-06 03:38:05 EDT
Wietse Venema told me that this is only cosmetic problem.
Comment 2 Petri T. Koistinen 2002-11-03 07:58:54 EST
I guess you read: <postfix-announce@postfix.org>
http://www.postfix.org/lists.html
Comment 3 Petri T. Koistinen 2002-12-22 21:16:05 EST
Postfix 2.0.0 is just released, please upgrade.
Comment 4 Bill Nottingham 2003-02-18 19:38:47 EST
*** Bug 80139 has been marked as a duplicate of this bug. ***
Comment 5 Bill Nottingham 2003-02-18 19:38:53 EST
*** Bug 81935 has been marked as a duplicate of this bug. ***
Comment 6 John Dennis 2003-04-07 10:06:48 EDT
latest postfix rpm is postfix-2.0.6-2

Note You need to log in before you can comment on or make changes to this bug.